package com.yidianling.tests.router

import android.app.Activity
import android.content.Intent
import com.ydl.ydl_router.manager.YDLRouterManager
import com.ydl.ydl_router.manager.YDLRouterParams
import com.ydl.ydlcommon.base.config.HttpConfig
import com.ydl.ydlcommon.router.IYDLRouterConstant
import com.yidianling.router.tests.ITestsRouter

class TestsRouterImp : ITestsRouter {

    override fun testH5Result(testResultId: String) {
        YDLRouterManager.router(IYDLRouterConstant.ROUTER_H5_H5,
                YDLRouterParams().putExtra(IYDLRouterConstant.EXTRA_URL, HttpConfig.MH5_URL+"ceshi/result/"+testResultId),"")
    }

    override fun testDetailH5(testId: String) {
        YDLRouterManager.router(IYDLRouterConstant.ROUTER_H5_H5,
                YDLRouterParams().putExtra(IYDLRouterConstant.EXTRA_URL, HttpConfig.MH5_URL+"ceshi/"+testId),"")
    }

    override fun testDetailIntent(activity: Activity, testId: Int): Intent {
        return Intent()
    }

    override fun testResultIntent(activity: Activity, testResultId: Int): Intent {
        return Intent()
    }

    override fun testAnswerIntent(activity: Activity): Intent {
        return Intent()
    }

}